// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars, avoid_classes_with_only_static_members
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      return web;
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for macos - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.windows:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for windows - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.linux:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for linux - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions web = FirebaseOptions(
    apiKey: 'AIzaSyATAzYf2Yu9_7hfBSiD1UW46pRs21E42eY',
    appId: '1:155761322311:web:0c08fcab0d55ca76bc0462',
    messagingSenderId: '155761322311',
    projectId: 'dr-appointment-booking-app',
    authDomain: 'dr-appointment-booking-app.firebaseapp.com',
    databaseURL: 'https://dr-appointment-booking-app-default-rtdb.firebaseio.com',
    storageBucket: 'dr-appointment-booking-app.appspot.com',
    measurementId: 'G-0PSE450M2B',
  );

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyDCAoJ_72ujqMqtu5TQhLAEAYG5BbU5Byc',
    appId: '1:155761322311:android:f435fae6edc8efdbbc0462',
    messagingSenderId: '155761322311',
    projectId: 'dr-appointment-booking-app',
    databaseURL: 'https://dr-appointment-booking-app-default-rtdb.firebaseio.com',
    storageBucket: 'dr-appointment-booking-app.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyBrfRfaHZvD3gV7oCVK7ksVi8T_YjdIrFI',
    appId: '1:155761322311:ios:825c19c1d7f57d7dbc0462',
    messagingSenderId: '155761322311',
    projectId: 'dr-appointment-booking-app',
    databaseURL: 'https://dr-appointment-booking-app-default-rtdb.firebaseio.com',
    storageBucket: 'dr-appointment-booking-app.appspot.com',
    androidClientId: '155761322311-4ms7b8bcig4otlr9r137e63bvqtn29vk.apps.googleusercontent.com',
    iosClientId: '155761322311-1jdd0564ql0ifo54bdn10uu3tnjshl8o.apps.googleusercontent.com',
    iosBundleId: 'com.agamworks.providerapp',
  );
}
